org.apache.ignite.internal.processors.query

## Interface GridQueryFieldsResult

All Known Implementing Classes:
  GridQueryFieldsResultAdapter

    public interface GridQueryFieldsResult

Field query result. It is composed of fields metadata and iterator over queried fields.

### Method Summary

Methods
`IgniteSpiCloseableIterator<List<?>>` `iterator()` Gets iterator over queried fields.
`List<GridQueryFieldMetadata>` `metaData()` Gets metadata for queried fields.

### Method Detail

#### metaData

    List<GridQueryFieldMetadata> metaData()

Gets metadata for queried fields.

Returns:
  Meta data for queried fields.

#### iterator

    IgniteSpiCloseableIterator<List<?>> iterator()

Gets iterator over queried fields.

Returns:
  Iterator over queried fields.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.7.0
Release Date | : August 1 2016